<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML xmlns="http://www.w3.org/TR/REC-html40">
<HEAD>
<TITLE>fwFSMConfDB/fwFSMConfDB_addConfigurator.pnl panel</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
<LINK rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">

</HEAD>
<BODY>
<TABLE width="95%" border=1>
  <TBODY>
  <TR vAlign=top>
    <TD width="22%" bgColor=#00cc00><STRONG>Panel Name</STRONG></TD>
    <TD width="78%" colSpan=2>
      <P>fwFSMConfDB/fwFSMConfDB_addConfigurator.pnl</P>    </TD>
  </TR>

  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Introduction<BR></STRONG></TD>
    <td colSpan=2>
        <p> This panel allows the user to add/change all configurator parameters used by the FSMConfDB. </p>
	    <div class="figure">
	  <table align="center">
            <tr> <td colspan="2"><img align="middle" src="fwFSMConfDB_addConfigurator.jpg"/></td>
          </table> 
    </div>  </TR>
  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Instructions</STRONG></TD>
    <TD colSpan=2>

    <dl>
       <dt> APPLY RECIPE</dt>
       <dd>Data cached in PVSS can be applied directly by the devices or by the configurators using the APPLY_RECIPE command. Selecting:</dd>
       <dd> - <b>device</b>: each device unit applies the recipe to itself. &rarr; Maximizes flexibility</dd>
       <dd> - <b>configurator</b>: the configurator applies the recipes to all active devices at once. &rarr; Optimizes speed       
       <dt>&nbsp;</dt>
       <dd>The configurator has also a <b>simplified mode</b>, where it applies the same recipe to all enable devices in its domain. This option can only be used in the case where all devices request the same recipe and the recipe name contains the command given by the control unit.</dd>
       <dt>&nbsp;</dt>
       <dd>If configurator is selected,   a  timeout should be set. This timeout defines the maximum time
         in seconds that the configurator waits for the request of all devices
         to apply the recipe. </dd>
       <p>By default the configurator option is selected with a Apply recipe timeout
         of 20 seconds.</p>
       <dt>LOAD recipes from       
       <dt>
       <dd>FSMConfDB interface can work connected to the ConfDB (need of an Oracle
         account) or offline<br>
         just using caches. Selecting:</dd>
       <dd>- <b>Cache</b>: configurator will load the  recipes stored in recipe caches.</dd>
       <dd>- <b>Database</b>: configurator will load the recipes from your  Oracle Configuration database.</dd>
       <dt>&nbsp;</dt>
       <dt>&nbsp; </dt>
       <dt>Selecting <b>apply recursively</b> sets the previous selection (cache/database) to all configurators children of the given domain.</dt>
       <dd>&nbsp;</dd>
       <dd><b>To create/Change a configurator:</b> </dd>

       <dd>Select the configurator options and press OK to complete the action or Cancel to close the panel without
         creating/modifying the configurator.</dd>
       <dt>&nbsp;</dt>
	   <dt>
    </dl>  </TR>

  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Restrictions</STRONG></TD>
    <TD colSpan=2>    </TD>
  </TR>
</TBODY>
</TABLE>

<br/>


<TABLE width="95%" border=1>
  <TBODY>
  <TR bgColor=#00cc00>
    <TD colSpan=3><STRONG>Dollar Parameters</STRONG></TD></TR>
  <TR bgColor=#00cc00>
    <TD width="23%"><STRONG>Name</STRONG></TD>
    <TD width="62%"><STRONG>Description</STRONG></TD>
    <TD width="15%">&nbsp;</TD></TR>
 </TBODY>
</TABLE>

<table width="95%" border="1">
  <tbody>
    <tr>
      <td>$domain </td>
      <td>Name of the control unit</td>
      <td>Required</td>
    </tr>
	<tr>
      <td>$operation</td>
      <td><p>Controls the mode in which the panel runs. Should be one of the
          following values:<br>&quot;
          
          
          
          Add&quot; or &quot;Change&quot;</p></td>
      <td>Required</td>
    </tr>
	
  </tbody>
</table><BR/>

  <TABLE width="95%" border=1>
    <tr>
  <TR bgColor=#00cc00>
        <TD colSpan=3><STRONG>Global Variables</STRONG></TD>
  </TR>
      <TR bgColor=#00cc00>
        <TD width="30%"><STRONG>Name</STRONG></TD>
        <TD width="10%"><STRONG>Type</STRONG></TD>
        <TD width="60%"><STRONG>Description</STRONG></TD>
      </tr>
</TABLE>

<hr>
<font size="-1">Last update: Francisca Calheiros, 18th January 2008</font>
</BODY>

</HTML>
